#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Mon Dec 13 17:40:50 2021

@author: puudeli
"""

from PyQt5.QtWidgets import QApplication, QDesktopWidget

app = QApplication([])

# Selvitetään näytön resoluutio
rect = QDesktopWidget().availableGeometry()
dim = (int(rect.width()), int(rect.height()))
x_max, y_max = dim

alku_vaesto = 1200

""" txtbeg
<p>
Simuloinnin alussa fantasmin alkunopeudeksi x- ja y- suuntaan
annetaan satunnaisluku väliltä -max-speed .. max_speed
</p>
<p>
fantasmin kiihtyvyys = nopeuden muutos
kunakin päivänä on satunnaisluku väliltä
-kiihtyvyys .. kiihtyvyys</p>
<p>da_raja on kiihtyvyyteen lisättävä koti-ikävän vaikutus.</p>

<p>SKAALA: Jos haluaa jouhevammin etenevän videon, voi hidastaa nopeutta
ja kiihtyvyyttä niin, että fantasmit hyppivät lyhyempiä askelia.
Vastaasti pitää pidentää taudin vaiheiden kestoja, että tartuntoja tulee
kuten ilman skaalausta.

</p>
txtend """

SKAALA = 1.0/3.0

max_speed = 6.0*SKAALA
kiihtyvyys = 0.3*SKAALA
da_raja = 0.15*SKAALA

# Kotinurkkausten ympärillä oleva vyöhyke
# 'ei-kenenkään' maata
rajavyohyke = 0.05

# Tartunta, jos etäisyys**2 <= suoja_etaisyys
suoja_etaisyys = 15**2
# Rokotetuilla paljon pienempi
suoja_etaisyys_vac = 3.0**2

# Päivässä rokotetaan enintään tämän verran
rokotustahti = 9.0*SKAALA
# Sairaan todennäköisyys kuolla
kuolleisuus = 4.0*SKAALA

# Taudin vaiheiden min ja max -kesto
kestot = {
    'altis': (0.0, 100000.0),
    'oireeton': (6.0/SKAALA, 16.0/SKAALA),
    'sairas': (16.0/SKAALA, 36.0/SKAALA),
    'karanteenissa': (16.0/SKAALA, 36.0/SKAALA),
    'immuuni0': (200.0/SKAALA, 400.0/SKAALA),
    'immuuni1': (200.0/SKAALA, 400.0/SKAALA),
    'rokotettu': (0.0/SKAALA, 100000.0/SKAALA),
    'kuollut': (0.0/SKAALA, 100000.0/SKAALA)
          }

# Automaattiohjauksen parametreja
# Sairaiden lukumäärän ylä ja ala -raja välittömille toimenpiteille
limH = 90
limL = 20
# Jos pandemia vaihe kestänyt vähintään näin kauan
# vähemmän tiukatkin rajat johtavat toimenpiteisiin
vaihe_kesto = 200.0/SKAALA

# Käyrien piirtely. Montako pikseliä/päivä
points_day = int(4.0*SKAALA)
